| FoxitPDFSDKforWeb v11.0.4 Archives Foxit PDF SDK for Web

Public Attributes | List of all members
EmbeddedGotoTargetData Interface Reference
PDF » actions

The object numbers of the visible OCG layer nodes. More...

## Public Attributes
string | attachedFileName
| The embedded file name, which is used in 'EmbeddedFile' name tree of current target file. This is useful only when relationship is "C". If this property exists, that means the target file is an embedded file defined in "EmbeddedFiles" name tree.
number | fileAttachmentAnnotIndex
| The annotation index which specifies a file attachment annotation in a specified page. This is useful only when relationship is "C". If this property exists, that means the target file is related to a file attachment annotation, and this property just specifies the file attachment annotation in the specified page.
readonly Promise< EmbeddedGotoTargetFileInfo > | fileInfo
| The file information of the embedded go-to target. More...
number | pageIndex
| The page index which specifies the page that contains the target file attachment annotation. This is useful only when relationship is "C". If this property exists, that means the target file is related to a file attachment annotation, and this property just specifies the page which contains the file attachment annotation.
EmbeddedGotoTargetRelationship | relationship
| The relationship between current target object and the object that current target object belongs to. The relationship is the relationship between current target object and the object that current target object belongs to. Currently, the relationship could be one of following: More...
EmbeddedGotoTargetData | target
| The target which specifies additional path information to the target document.

## Detailed Description

The object numbers of the visible OCG layer nodes.

The object numbers of the hidden OCG layer nodes.

Represents the target data of an embedded go-to action, i.e., the document where the destination resides.

Since
  11.0.0

## Member Data Documentation

## ◆ fileInfo

readonly Promise<EmbeddedGotoTargetFileInfo> EmbeddedGotoTargetData::fileInfo

The file information of the embedded go-to target.

Since
  11.0.0

## ◆ relationship

EmbeddedGotoTargetRelationship EmbeddedGotoTargetData::relationship

The relationship between current target object and the object that current target object belongs to. The relationship is the relationship between current target object and the object that current target object belongs to. Currently, the relationship could be one of following:

- "P": current target object is the parent of the object that current target object belongs to.
- "C": current target object is the child of the object that current target object belongs to.

@2025 Foxit Software Incorporated. All rights reserved.